# register_new_unit function

(Shortest import: `from brian2 import register_new_unit)`

brian2.units.fundamentalunits.register_new_unit(u)

  Register a new unit for automatic displaying of quantities

  Parameters:

    u : `Unit`

    > The unit that should be registered.

  Examples

      >>> from brian2 import *
      >>> 2.0*farad/metre**2
      2. * metre ** -4 * kilogram ** -1 * second ** 4 * amp ** 2
      >>> register_new_unit(pfarad / mmetre**2)
      >>> 2.0*farad/metre**2
      2000000. * pfarad / (mmetre ** 2)